DH_INSTALLINIT(1)

NAME
dh_installinit - installiert Dienstinitialisierungsdateien in Paketbauverzeichnisse

ÜBERSICHT
dh_installinit [Debhelper-Optionen] [--name=Name] [-n] [-R] [-r] [-d] [-- Parameter]

BESCHREIBUNG
dh_installinit ist ein Debhelper-Programm, das für die Installation von Init-Skripten mit zugehörigen Standarddateien sowie Upstart- und Systemd-Job-Dateien in Paketbauverzeichnisse zuständig ist.

Es erzeugt außerdem automatisch die postinst-, postrm- und prerm-Skripte, die nötig sind, um die symbolischen Links in /etc/rc*.d/ einzurichten und die Init-Skripte zu starten und zu stoppen.

DATEIEN

debian/Paket.init
    Falls dies existiert, wird es in etc/init.d/Paket im Paketbauverzeichnis installiert.

debian/Paket.default
    Falls dies existiert, wird es in etc/default/Paket im Paketbauverzeichnis installiert.

debian/Paket.upstart
    Falls dies existiert, wird es in etc/init/Paket.conf im Paketbauverzeichnis installiert.

debian/Paket.service
    Falls dies existiert, wird es in lib/systemd/system/Paket.service im Paketbauverzeichnis installiert. Nur in Kompatibilitätsstufen 10 und darunter benutzt.

debian/Paket.tmpfile
    Falls dies existiert, wird es in usr/lib/tmpfiles.d/Paket.conf im Paketbauverzeichnis installiert. (Der »tmpfiles.d«-Mechanismus wird derzeit nur von Systemd benutzt.) Nur in Kompatibilitätsstufe 10 und darunter.

OPTIONEN

-n, --no-scripts
    ändert keine postinst-/postrm/prerm-Skripte.

-o, --only-scripts
    verändert nur die postinst-/postrm-/prerm-Skripte, installiert aber tatsächlich kein Init-Skript, keine Vorgabedateien, keinen Upstart-Job und keine Systemd-Dienstdatei; kann nützlich sein, falls die Datei von den Originalautoren auf eine Art mitgeliefert/installiert wird, die es dh_installinit nicht leicht macht, sie zu finden.

    Warnung: Dies wird alle normalen Prüfungen umgehen und die Skripte bedingungslos verändern. Sie werden dies in den meisten Fällen mit -p verwenden wollen, um einzugrenzen, welche Pakete von dem Aufruf betroffen sind. Beispiel:

     override_dh_installinit:
            dh_installinit -pfoo --only-scripts
            dh_installinit --remaining

-R, --restart-after-upgrade
    stoppt das Init-Skript nicht, bis das Paket-Upgrade komplett durchgeführt wurde. Dies ist das Standardverhalten für Kompatibilitätsmodus 10.

    In älteren Kompatibilitätsmodi war es Standardverhalten, dass das Skript in prerm stoppt und es in postinst wieder startet.

    Dies kann nützlich für Daemons sein, die nicht lange während des Upgrades ausgeschaltet sein sollen. Sie sollten aber sicherstellen, dass der Daemon nicht von dem Paket, von dem ein Upgrade durchgeführt wird, durcheinander gebracht wird, während er läuft, bevor diese Option benutzt wird.Dies kann nützlich für Daemons sein, die während des Upgrades nicht für längere Zeit ausgeschaltet sein sollen. Bevor diese Option benutzt wird, sollten Sie sicherstellen, dass der Betrieb des Daemon nicht negativ beeinflusst wird, wenn dessen Paket zwischendurch aktualisiert wird.

--no-restart-after-upgrade
    macht ein vorhergehendes --restart-after-upgrade (oder die Voreinstellung des Kompatibilitätsmodus 10) rückgängig. Falls keine weiteren Optionen angegeben wurden, wird dies dafür sorgen, dass der Dienst im prerm-Skript gestoppt und im postinst-Skript wieder gestartet wird.

-r, --no-stop-on-upgrade, --no-restart-on-upgrade
    stoppt das Init-Skript nicht beim Upgrade.

--no-start
    startet das Init-Skript nicht bei der Installation oder dem Upgrade und stoppt es nicht beim Entfernen. Rufen Sie nur update-rc.d auf. Nützlich für rcS-Skripte.

-d, --remove-d
    entfernt abschließende d vom Namen des Pakets und benutzt das Ergebnis als Dateiname, unter dem die Upstart-Job-Datei in etc/init/ installiert wird und als Dateiname, unter dem das Init-Skript in etc/init.d und die Standarddatei in etc/default/ installiert wird. Dies kann nützlich für Daemons sein, deren Namen mit d enden. (Anmerkung: Dies hat Vorrang gegenüber dem im Folgenden beschriebenen Parameter --init-script.)

-uParameter --update-rcd-params=Parameter
-- Parameter
    übergibt Parameter an update-rc.d(8). Falls nicht angegeben, wird defaults an update-rc.d(8) übergeben.

--name=Name
    installiert das Init-Skript (und die Standarddatei) ebenso wie den Upstart-Job unter Benutzung des Dateinamens Name an Stelle des Standarddateinamens, der dem Paketnamen entspricht. Wenn dieser Parameter verwandt wird, sucht und installiert dh_installinit Dateien mit dem Namen debian/package.name.init, debian/package.name.default und debian/package.name.upstart an Stelle der üblichen debian/package.init, debian/package.default and debian/package.upstart.

--init-script=Skriptname
    benutzt Skriptname als Dateiname, unter dem das Init-Skript in etc/init.d/ installiert wird (und verwendet ihn außerdem als Dateinamen der Standarddatei, falls sie installiert wird). Falls Sie diesen Parameter einsetzen, wird dh_installinit nachsehen, ob im Verzeichnis debian/ eine Datei existiert, die aussieht wie Paket.Skriptname und falls dies so ist, wird sie bevorzugt als Init-Skript gegenüber den Dateien installiert, die normalerweise installiert werden.

    Dieser Parameter ist veraltet. Benutzen Sie stattdessen den Parameter --name. Dieser Parameter ist für die Benutzung mit Upstart-Jobs inkompatibel.

--error-handler=Funktion
    ruft die Shell-Funktion mit diesem Namen auf, falls die Ausführung des Init-Skripts fehlschlägt. Die Funktion sollte in den prerm- und postinst-Skripten vor der Markierung #DEBHELPER# bereitgestellt werden.

ANMERKUNGEN
Beachten Sie, dass dieser Befehl nicht idempotent ist. Zwischen Aufrufen dieses Befehls sollte dh_prep(1) aufgerufen werden. Ansonsten könnte er zur Folge haben, dass den Betreuerskripten mehrere Instanzen des gleichen Textes hinzugefügt werden.

SIEHE AUCH
debhelper(7)

Dieses Programm ist Teil von Debhelper.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <http://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de und das deutsche Debian-Übersetzer-Team im Dezember 2011 erstellt.

Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket debhelper.

Sie können mit dem folgenden Befehl das englische Original anzeigen man -L en Abschnitt Handbuchseite

AUTOREN
Joey Hess <joeyh@debian.org>

Steve Langasek <steve.langasek@canonical.com>

Michael Stapelberg <stapelberg@debian.org>